GENDERS_ISNODE(3)

NAME
genders_isnode, genders_isattr, genders_isattrval - node, attribute, value check routines

SYNOPSIS
#include <genders.h>

int genders_isnode(genders_t handle, const char *node);

int genders_isattr(genders_t handle, const char *attr);

int genders_isattrval(genders_t handle, const char *attr, const char *val);

DESCRIPTION
genders_isnode() tests if the node pointed to by node is listed in the genders file. If node is NULL, the current node is tested.

genders_isattr() tests if the attribute pointed to by attr is listed for some node in the genders file.

genders_isattrval() tests if the attribute pointed to by attr is equal to the value pointed to by val for some node in the genders file.

RETURN VALUES
For genders_isnode(), if node is listed in the genders file, 1 is returned. If it is not listed, 0 is returned.

For genders_isattr(), if attr is listed in the genders file, 1 is returned. If it is not listed, 0 is returned.

For genders_isattrval(), if attr=val is listed in the genders file, 1 is returned. If it is not listed, 0 is returned.

On error, all three return -1 and an error code is returned in handle. The error code can be retrieved via genders_errnum(3) , and a description of the error code can be retrieved via genders_strerror(3). Error codes are defined in genders.h.

ERRORS

GENDERS_ERR_NULLHANDLE
    The handle parameter is NULL. The genders handle must be created with genders_handle_create(3).

GENDERS_ERR_NOTLOADED
    genders_load_data(3) has not been called to load genders data.

GENDERS_ERR_PARAMETERS
    An incorrect parameter has been passed in.

GENDERS_ERR_MAGIC
    handle has an incorrect magic number. handle does not point to a genders handle or handle has been destroyed by genders_handle_destroy(3).

FILES
/usr/include/genders.h

SEE ALSO
libgenders(3), genders_handle_create(3), genders_load_data(3), genders_errnum(3), genders_strerror(3)